



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Oracle&#160;远程链接oracle数据库服务器的配置</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Oracle&#160;远程链接oracle数据库服务器的配置</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-05 06:09:48 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong> 远程链接</strong><strong>oracle</strong><strong>数据库服务器的配置</strong></p>
<p><strong>by:</strong><strong>授客</strong> <strong>QQ</strong><strong>：</strong><strong>1033553122</strong></p>
<p><strong> 原理：</strong></p>
<p><strong> 一、</strong><strong>Oracle</strong><strong>客户端与服务器端的通讯机制</strong></p>
<p>1、OracleNet协议</p>
<p>如下图所示，Oracle通过Oracle Net协议实现客户端与服务器端的连接以及数据传递。Oracle Net是同时驻留在Oracle数据库服务器端和客户端上的一个软件层，它封装了TCP/IP协议，负责建立与维护客户端应用程序到数据库服务器的连接。</p>
<p>如下图所示，客户端发出的请求首先通过OracleNet协议转换，转换成可以通过网络传输的信息，通过TCP/IP网络将请求传输到数据库服务器端；服务器端接受到客户请求后要通过OracleNet协议转换，将请求转换成数据库可以解释执行的本地指令，并在服务器端执行（主要是一些输入输出操作），并将结果通过TCP/IP协议和OracleNet协议传输给客户端显示。</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224741256-1807463296.png" /></p>
<p>2、客户端与服务器端的连接过程</p>
<p>在分析客户端与服务器端的连接机制之前，先要定义两个概念，一个是Oracle监听器，一个是Oracle网络服务名。</p>
<p>Oracle数据库服务器通过一个名为&ldquo;OracleNet监听器&rdquo;的组件接收来自客户端的连接请求。监听器是位于服务器端的一个后台进程，发送给数据库的客户端连接请求，首先被服务器端的监听器所侦听，并将请求所转交给对应的数据库实例，从而建立起客户端与服务器的连接。连接建立后，客户端与服务器端就可以直接进行通讯，不再需要监听器参与。</p>
<p>要实现监听器对客户请求的监听，需要对监听器进行配置，包括监听端口、监听器所在数据库的全局数据库名称、数据库实例等信息。</p>
<p>Oracle网络服务名是一个标识符，它代表着客户端连接服务器的配置信息（实际上就是连接请求的内容），包括数据库主机地址、监听端口、全局数据库名称等内容。</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224749330-1417065094.png" /></p>
<p>如图所示，客户端与服务端的连接过程为:</p>
<p>（1）首先在服务器端有一个常驻的监听器（监听服务要打开）监听客户端发出的连接请求。</p>
<p>（2）用户在客户端（企业服务器或SQL工具）输入用户名、口令及网络服务名，或在SQL命令行中输入类似CONNECT<br />
username/password@net_Service_name&rdquo;的类似请求。</p>
<p>（3）客户端查看网络服务配置文件tnsname.ora，将网络服务名映射为包含Oracle服务器地址、监听端口和全局数据库名的连接描述符。</p>
<p>（4）客户端根据连接描述符定位监听器，并通过网络将连接信息传递给监听器。</p>
<p>（5）监听器查询监听配置文件listener.ora，找出所要连接的数据库服务器。</p>
<p>（6）客户机和服务器开始通信。</p>
<p>说明：</p>
<p>一，简单来说连接分为以下两种</p>
<p>1.本地连接:形如sql&gt;conn user/pwd</p>
<p>建立的连接</p>
<p>2.远程连接:形如sql&gt;conn<br />
user/pwd@service_name建立的连接.</p>
<p>本地连接无需监听,而远程链接则需要监听，需要配置listener.ora，tnsnames.ora等，这里oem链接比较特殊：就算在服务器端用oem连接数据库的时候也是通过服务名连接数据库也即远程连接，所以需要监听器.</p>
<p>二，oracle在网络连接上提供的中间件有</p>
<p>Name Server:命名服务,把服务命名集中在一台命名服务器上.用的不多,一般使用local tns解析.</p>
<p>Connection<br />
Manager:连接管理器,作为服务器端和客户端的中间层,服务器对客户端完全透明,客户端只能看到连接管理器所在的服务器.</p>
<p><strong><br />
操作</strong></p>
<p><strong><br />
操作</strong><strong>1-</strong><strong>服务端配置</strong><strong>-</strong><strong>监听程序配置</strong></p>
<p>第一步：</p>
<p>Windows下，如下图，打开&ldquo;配置和移植工具-&gt;Net Configuration<br />
Assistant&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224800050-890106449.png" /></p>
<p>Unix、Linux下,XWindow环境下的终端，输入命令netca</p>
<p>$ netca</p>
<p>注意：</p>
<p>1.非XWindow字符界面下的操作，输入netca，会提示Set the DISPLAY<br />
environmentvariable,then re-run.必须开启桌面(其它命令dbca,netmgr也需要Xwindow环境的支持</p>
<p>$ startX<br />
开启图形界面的桌面系统</p>
<p>然后，Applications -&gt; System<br />
Tools-&gt;Terminal，新建终端terminal</p>
<p>$ netca</p>
<p>2.如果不是以oracle用户登录系统，并开启桌面系统，新建终端下输入上述命令可能会提示&ldquo;No protocol<br />
specified&hellip;&hellip;&rdquo;开启失败</p>
<p>第二步：如下图，选择&ldquo;监听程序配置&rdquo;，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224809785-1732321575.png" /></p>
<p>第三步：如下图，选择&ldquo;重新配置&rdquo;，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224816724-1055084132.png" /></p>
<p>第四步：如下图，选择&ldquo;LISTENER&rdquo;[刚安装完，就一个默认的LISTENER],点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224824812-1584755881.png" /></p>
<p>第五步：如下图，提示监听程序正在运行，点击&ldquo;是&rdquo;，停止监听程序</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224833269-855426049.png" /></p>
<p>第六步：如下图，选择协议，我这里仅选择&ldquo;TCP&rdquo;协议，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224842981-433298599.png" /></p>
<p>第七步：如下图，选择&ldquo;使用标准端口号1521&rdquo;[默认就是1521，如果没被占用是可以用它的]，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224849988-1341623306.png" /></p>
<p>备注：</p>
<p>到这一步，可能会提示1521正在被使用，有冲突，冲突解决后才可以启动监听，是否继续配置</p>
<p>解决方法：</p>
<p>进入cmd命令行，输入lsnrctl stop停止监听，然后再配置1521端口</p>
<p>第八步：如下图，选择&ldquo;否&rdquo;，不配置另一个监听程序了，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224857562-1128729735.png" /></p>
<p>第九步：如下图，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="http://simg.sinajs.cn/blog7style/images/common/sg_trans.gif" /><br />
<img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224906423-1089940825.png" /></p>
<p><strong><br />
操作</strong><strong>2-</strong><strong>服务端配置</strong><strong>-</strong><strong>本地网络服务名配置</strong></p>
<p>第一步：如下图，选择&ldquo;本地网络服务名配置&rdquo;，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224914412-1993565976.png" /></p>
<p>第二步：如下图，选择&ldquo;重新配置&rdquo;，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224922839-119692466.png" /></p>
<p>第三步：如下图，选择需要重新配置的网络服务名，例中为&ldquo;MYORCL&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224929846-1693362191.png" /></p>
<p>第四步:如下图，输入服务名[通常是全局数据库名]，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224937495-1038171259.png" /></p>
<p>第五步：如下图，选择需要的网络协议，点击&ldquo;下一步&rdquo;，我这仅选择TCP。</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224945379-1603899130.png" /></p>
<p>第六步：如下图，输入主机名[可以是计算机名，也可以是ip]，端口号[一般默认]</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224952131-1420521993.png" /></p>
<p>第七步：如下图，选择&ldquo;是，进行测试&rdquo;，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120224959216-427089985.png" /></p>
<p>第8步：如下图，点击更改&ldquo;登陆&rdquo;，</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225007796-878960766.png" /></p>
<p>第9步：输入安装过程中设置的未锁定账户和密码或者其它新建的账户信息，点击确定</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225014056-1528941681.png" /></p>
<p>说明</p>
<p>情形一：如下图，提示&ldquo;监听程序当前无法识别连接描述符中的请求的服务&hellip;&hellip;listener does not currently know of<br />
service requested in connect<br />
descriptor&nbsp;&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225021028-2125981748.png" /></p>
<p><strong><br />
解决方法</strong><strong>(Linux</strong><strong>下配置</strong><strong>)</strong><strong>：</strong></p>
<p>再开个终端，编辑oracle的监听配置文件listener.ora，把host = localhost的localhost改为具体的主机ip，保存</p>
<p>$ vi<br />
$ORACLE_HOME/network/admin/listener</p>
<p># listener.ora Network Configuration<br />
File:<br />
/u01/app/oracle/product/11.2.0/dbhome_1/network/admin/listener.ora</p>
<p># Generated by Oracle configuration<br />
tools.</p>
<p>LISTENER =</p>
<p>(DESCRIPTION_LIST<br />
=</p>
<p>(DESCRIPTION =</p>
<p>(ADDRESS = (PROTOCOL = TCP)(HOST<br />
= localhost)(PORT = 1521))</p>
<p>)</p>
<p>)</p>
<p>ADR_BASE_LISTENER =<br />
/u01/app/oracle</p>
<p>然后重新加载监听程序</p>
<p># lsnrctl reload</p>
<p>重新更改登录测试，ok</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225030455-490970954.png" /></p>
<p>备注：如果还不行，退出netca，再次打开，重新配置监听，然后配置网络服务名</p>
<p><strong><br />
解决办法</strong><strong>(Windows</strong><strong>下配置</strong><strong>)</strong><strong>：</strong></p>
<p>步骤1：如下图，sqlplus<br />
登陆系统，然后输入命令&ldquo;show parameter<br />
service_names&rdquo;，查看服务名是否正确</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225037997-1809476942.png" /></p>
<p>步骤2：服务名正确的情况下，找到oracle安装目录下的lisnter.ora,修改文件，如下图</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225045008-754458595.png" /></p>
<p>如下图找到</p>
<p>(SID_DESC =</p>
<p>&hellip;&hellip;&hellip;</p>
<p>)</p>
<p>在其后添加</p>
<p>(SID_DESC =</p>
<p>(GLOABLE_DBNAME = myorcl)</p>
<p>(ORACLE_HOME =<br />
C:\app\Administrator\product\11.2.0\dbhome_1)</p>
<p>(SID_NAME = myorcl)</p>
<p>)</p>
<p>说明：</p>
<p>ORACLE_HOME<br />
给出服务器上Oracle可执行程序的位置</p>
<p>GLOBAL_DBNAME标识全局数据库名称。本项应该与当前Oracle服务的init.ora文件中的SERVICE_NAMES项一致</p>
<p>SID_NAME&nbsp;含有用于本Oracle实例的Oracle&nbsp;SID的名称</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225054375-384960792.png" /></p>
<p>步骤3.保存listener.ora文件，命令行下输入&ldquo;lsnrctl stop&rdquo;，停止监听，然后输入lsnrctl start启动监听</p>
<p>附：监听器的停止，启动，查看命令（不分window、Linux\Unix）</p>
<p>lsnrctl stop [listenername]#停止监听</p>
<p>lsnrctl start [listenername]#开启监听</p>
<p>lsnrctl status [listenername]#查看监听器状态</p>
<p>lsnrctl reload [listenername]#重启监听器</p>
<p>说明：默认情况可以不指定监听器名称，reload命令会重新读取listener.ora的内容，这个命令让用户不停止监听器的情况下，改变监听器的配置。但是对于sqlnet.ora的修改考虑一下情况：</p>
<p>1.如果之前sqlnet.ora没有被当前的监听器使用，这时必须关闭然后重启监听！</p>
<p>2.如果之前正在使用sqlnet.ora，那么lsnrctl&nbsp;reload是比较快的方式。当前已经建立的连接不会收到影响，动态监听服务完成的非常快，也几乎不受影响</p>
<p>情形二：如下图，提示&ldquo;invalid username/password;logon<br />
denied&hellip;&hellip;&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225102749-1320029200.png" /></p>
<p>解决方法：更改登陆，输入正确的用户名和密码</p>
<p>情形三：如下图，提示&ldquo;无监听程序&hellip;&hellip;&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225110258-1730238218.png" /></p>
<p>解决办法：</p>
<p>先配置监听程序，如果配置都没错，那么尝试在cmd命令行下先停止监听，再启动监听lsnrctl stop，lsnrctl start</p>
<p>第10步：如下图，配置成功的情况下，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225119199-1356974498.png" /></p>
<p>第11步：如下图，默认，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225127118-853072303.png" /></p>
<p>第12步：如下图，选择&ldquo;否&rdquo;[如不需要的话]，点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225134250-1060964002.png" /></p>
<p>第13步：点击&ldquo;下一步&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225141575-1932412774.png" /></p>
<p>第14步：点击&ldquo;完成&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225148949-1267658007.png" /></p>
<p>注：本地网络服务名配置对应的配置文件为tnsnames.ora,Linux下查看，类似如下</p>
<p>[laiyu@localhost ~]$ cat<br />
$ORACLE_HOME/network/admin/tnsnames.ora</p>
<p># tnsnames.ora Network Configuration File:<br />
/u01/app/oracle/product/11.2.0/dbhome_1/network/admin/tnsnames.ora</p>
<p># Generated by Oracle configuration<br />
tools.</p>
<p>ORCL11G =</p>
<p>(DESCRIPTION<br />
=</p>
<p>(ADDRESS = (PROTOCOL = TCP)(HOST = localhost)(PORT =<br />
1521))</p>
<p>(CONNECT_DATA =</p>
<p>(SERVER = DEDICATED)</p>
<p>(SERVICE_NAME = orcl11g)</p>
<p>)</p>
<p>)</p>
<p>说明：</p>
<p>ORACL11G：&rdquo;网络服务名&rdquo;，可自定义替换，配置时一般采用默认的SERVICE_NAME</p>
<p>HOST：Oracle服务器所在主机地址、主机名、localhost等</p>
<p>SERVICE_NAME：oracle服务名(通常为全局数据库名)，即Oracle实例名</p>
<p><strong><br />
操作</strong><strong>3-</strong><strong>服务端配置</strong><strong>-</strong><strong>查看网络或网络管理</strong></p>
<p>第一步：</p>
<p>Windows下，如图，打开&ldquo;配置和移植工具-》Net Manger&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225200412-1338018006.png" /></p>
<p>Unix、Linux下，如下，输入命令netmgr</p>
<p>$ netmgr</p>
<p>第二步：检查监听配置是否正确</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225207047-1117470307.png" /></p>
<p>第三步：检查服务命名是否正确，并测试</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225214448-978231031.png" /></p>
<p>选中服务，点击左边的测试按钮，然后点击弹出界面的测试</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225234301-1682041042.png" /></p>
<p>结果说明</p>
<p>情形一：如下图，可能出现提示&ldquo;监听程序当前无法识别连接描述符中请求的服务&rdquo;</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225241360-473675659.png" /></p>
<p>解决办法：连接类型设置成了共享服务器，把连接类型改成&ldquo;数据库默认设置&rdquo;或者&ldquo;专用服务器&rdquo;即可</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225252038-1975594465.png" /></p>
<p><strong>&nbsp;</strong></p>
<p><strong><br />
操作</strong><strong>3-</strong><strong>客户端配置</strong></p>
<p>参考文档&ldquo;<a href="https://www.cnblogs.com/shouke/p/10158158.html" rel="external nofollow noreferrer">Oracle 11g即时客户端在windows下的配置</a>&rdquo;</p>
<p>备注：</p>
<p>linux下远程oracle主机，发现主机内部都可以测试通过，外面也可以ping通oracle主机，但是总是提示tns超时连接，关闭防火墙也不行，咋办？</p>
<p>解决方法：</p>
<p>1.停止防火墙</p>
<p>[root@localhost<br />
~]#&nbsp;service iptables<br />
stop</p>
<p>2.编辑防火墙配置文件</p>
<p>[root@localhost ~]# vim<br />
/etc/sysconfig/iptables</p>
<p>在文件中添加红色选框的内容</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1569452/201901/1569452-20190120225300499-727152219.png" /></p>
<p>然后保存配置文件</p>
<p>3.重启防火墙：</p>
<p>[root@localhost ~]# service iptables<br />
restart</p>
<p>iptables: Flushing firewall rules: [<br />
OK ]</p>
<p>iptables: Setting chains to policy<br />
ACCEPT: filter [ OK ]</p>
<p>iptables: Unloading modules: [ OK<br />
]</p>
<p>iptables: Applying firewall rules: [<br />
OK ]</p>
<p>因为我们是配置在配置文件中的，重启后仍然生效，否则如下操作保存配置，以便linux重启后依然有效</p>
<p>[root@localhost ~]# service iptables<br />
save</p>
<p>iptables: Saving firewall rules to<br />
/etc/sysconfig/iptables:[ OK ]</p>
<p>好了，可以连接上了了</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/o8kkjn68.html">Windows 结构化异常</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qn4mng8.html">Android WebView 总结 &mdash;&mdash; 使用HTML5播放视频及全屏方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2y6pl8.html">【C&num;】第3章补充（二）如何将图形作为对象</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qxxpweq.html">codeforces 709B Checkpoints</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq4ln308.html">python pip 升级每个包</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8omwnpq.html">iOS--开发之手势解锁</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e14jwx9.html">【转】SQL SERVER 存储过程中变量的作用域</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlml6ok9.html">Android&mdash;&mdash;ImageSwitcher 图片切换</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdoe3z8.html">MySQL 数据库性能优化之索引优化</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmokmz9.html">gtest编译小结（ubuntu 12&period;10 &comma; gtest 1&period;6&period;0）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1yj7r9.html">web项目配置webAppRootKey 获得根目录 &period;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdevnr8.html">jquery settimeout使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdm2yz9.html">12&period;04 ubuntu 更改IP</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1nlwzq.html">异常检测算法：Isolation Forest</a>
		</li>
						<li><a href="https://www.batexi.com/a/qll5ppeq.html">poj2441状态压缩dp基础</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7o13nj8.html">EntityFramework&lowbar;基础</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql17l5x9.html">【LOJ】&num;2244&period; 「NOI2014」起床困难综合症</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnnzlxkq.html">Nginx 系统维护配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pmnm1k9.html">hdu6121 Build a tree</a>
		</li>
						<li><a href="https://www.batexi.com/a/qd51zxz9.html">&lbrack;转载&rsqb; 最简单的基于FFmpeg的AVDevice例子（读取摄像头）</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q257w6xq.html">坑爹的Sun JDK</a>
			</li>
						<li><a href="https://www.batexi.com/a/93w0ydwq.html">Math、Random、System、BigInteger、Date、DateFormat、Calendar类，正则表达式&lowbar;DAY14</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxd0kj09.html">&lpar;转&rpar;python3-staticmethod与classmethod</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kj3jd59.html">unittest单元测试框架简单说明</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j1ymr09.html">Gen对于break、continue与return的处理</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pw1m748.html">redis源码学习-dict</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o1xv35q.html">sshd服务防止暴力破解</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gjndk49.html">MyBatis JavaType JdbcType</a>
			</li>
						<li><a href="https://www.batexi.com/a/8m2opv0q.html">CentOS qt5 &sol;usr&sol;lib&sol;libstdc&plus;&plus;&period;so&period;6&colon; version &grave;GLIBCXX&lowbar;3&period;4&period;15&amp;&num;39&semi; not found</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o1x3keq.html">&period;1-浅析webpack源码之webpack&period;cmd</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
